kifas.workflow.extract_subworkflow
kifas.workflow.extract_subworkflow
Section titled “kifas.workflow.extract_subworkflow”Extract 2 or more connected nodes from a workflow into a new sub-workflow. The parent’s graph is mutated to replace the selected nodes with a single control.sub_workflow node. Returns the new sub-workflow id + version and the parent’s new version.
Required scopes: workflow:write
Parameters
Section titled “Parameters”| Name | Type | Required | Default | Description |
|---|---|---|---|---|
workflow_id |
string |
yes | — | |
node_ids |
string[] |
yes | — | |
name |
string |
yes | — | |
if_match |
string |
yes | — |
Returns
Section titled “Returns”{ "type": "object", "properties": { "parent_workflow_id": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "parent_version": { "type": "string" }, "sub_workflow_id": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "sub_workflow_version": { "type": "string" } }, "required": [ "parent_workflow_id", "parent_version", "sub_workflow_id", "sub_workflow_version" ], "additionalProperties": false}Code samples
Section titled “Code samples”TypeScript (Anthropic MCP SDK)
import { Client } from '@modelcontextprotocol/sdk/client/index.js'import { StreamableHTTPClientTransport } from '@modelcontextprotocol/sdk/client/streamable-http.js'
const transport = new StreamableHTTPClientTransport( new URL('https://mcp.kifas.io/'), { requestInit: { headers: { Authorization: `Bearer ${process.env.KIFAS_API_KEY}` }, }, },)const client = new Client({ name: 'demo', version: '0.1.0' })await client.connect(transport)
const result = await client.callTool({ name: 'kifas.workflow.extract_subworkflow', arguments: { "workflow_id": "00000000-0000-0000-0000-000000000000", "node_ids": [], "name": "", "if_match": "" },})console.log(result)Python (httpx, raw JSON-RPC)
import osimport httpx
resp = httpx.post( "https://mcp.kifas.io/", headers={ "Authorization": f"Bearer {os.environ['KIFAS_API_KEY']}", "Content-Type": "application/json", }, json={ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "kifas.workflow.extract_subworkflow", "arguments": { "workflow_id": "00000000-0000-0000-0000-000000000000", "node_ids": [], "name": "", "if_match": "" }, }, },)print(resp.json())curl
curl https://mcp.kifas.io/ \ -H "Authorization: Bearer $KIFAS_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "kifas.workflow.extract_subworkflow", "arguments": { "workflow_id": "00000000-0000-0000-0000-000000000000", "node_ids": [], "name": "", "if_match": "" } }}'Raw JSON-RPC body
{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "kifas.workflow.extract_subworkflow", "arguments": { "workflow_id": "00000000-0000-0000-0000-000000000000", "node_ids": [], "name": "", "if_match": "" } }}Try it
Section titled “Try it”Want to try kifas.workflow.extract_subworkflow? Sign in to the dashboard and run it against a real session.